@import "./reset";
@import "./font";
@import "./mixins";


*,
*::after,
*::before {
   box-sizing: border-box;
}

$colortext: #4E4E4E;
$hovercolor: #57A4A4;

body{
   font-family: 'Roboto', sans-serif;
}
header {
   margin-bottom: 66px;
}

.container {
   max-width: 1170px;
   width: 100%;
   padding-left: 15px;
   padding-right: 15px;
   text-align: center;
   margin: 0 auto;
}

.nav__btn{
   @include mediaQuery(767px, 'max'){
      &{
         height: 80px;
         display: flex;
         justify-content: flex-end;
         align-items: center;
      }

   }
}

.nav__icon{
   @include mediaQuery(767px, 'max'){
   display: block;
   width: 40px;
   height: 37px;
   background-color: #000;
   position: relative;

   span,
   span::before,
   span::after{
      position: absolute;
      top: 50%; margin-top: -1px;
      right: 50%; margin-right: -8px;
      width: 17px;
      height: 2px;
      background-color: #fff;
   }
      span::before,
      span::after{
         content: '';
         transition: linear .3s;
      }

      span::before{
         transform: translateY(-5px);
      }
      span::after{
         transform: translateY(5px);
      }

      span.change::before{
         transform: rotate(45deg)
      }
      span.change{
         height: 0;
      }
      span.change::after{
         transform: rotate(-45deg)
      }
   }
}

   
.nav__block{
   margin: 25px 0;
}

.items {
   display: flex;
   justify-content: center;

   @include mediaQuery(767px, 'max'){
      &{
         display: block;
         text-align: start;
         position: fixed;
         top: 30px;
         right: -100%;
         margin-right: 15px;
         background-color: #F5F5F5;
         transition: right .3s ease-in-out 0s;
      }
      &>.items__btn{
         padding: 8px 103px 8px 13px;
         margin: 0;
         transition: background-color linear .3s;
      }
   }
}
.items__btn.actives{
   @include mediaQuery(767px, 'max'){
      background-color: #E5E5E5;
      color: #4E4E4E;
   }
 
}

.items.active{
   right: 0;
}

.items__btn {
   margin: 0 33px;
   @include mediaQuery(768px, 'min'){
      margin: 0 15px;
   }
   
}
.items__link {
   color: $colortext;
   text-transform: uppercase;
   font-size: 11px;
   line-height: 22px;
   transition: all 0.5s;
   &:hover{
      color: $hovercolor;
   }
   &.actives{
      display: none;
   }
}



.posts__logo {
   text-transform: uppercase;
   text-align: start;
   color: $colortext;
   font-weight: bold;
   line-height: 22px;
}

.posts__items {
   display: grid;
   grid-template-columns: repeat(2, 1fr);
   @include mediaQuery(767px, 'max'){
      grid-template-columns: repeat(1, 1fr);
   }
}

.title__img {
   max-width: 100%;
   width: 1170px;
   height: auto;
}

.content {
   width: 100%;
   max-width: 100%;
   display: flex;

   @include mediaQuery(555px, 'max'){
      display: block;
      text-align: start;
      &__sublogo {
         margin-bottom: 23px; 
      }
      &__comment{
         display: none;
      }
   }
}

.content__media {
   margin-right: 21px;
   margin-bottom: 32px;
}

.content__text {
   text-align: start;
}

.posts__logo {
   margin-bottom: 24px;
}

.logo {
   text-transform: uppercase;
   color: $colortext;
   font-weight: bold;
   line-height: 30px;
}

.content__sublogo {
   color: #7c7c7c;
   font-size: 12px;
   line-height: 20px;
}

.content__comment {
   color: #5c5c5c;
   font-size: 14px;
   line-height: 26px;
}

footer {
   background-color: #000;
   @include mediaQuery(430px, 'max'){
      font-size: 14px;
   }
}
footer a, p{
   color: #b9b9b9;
   
}

.footer__logo {
   padding-top: 66px;
   margin-bottom: 22px;
   color: #fefefe;
}

.footer__desc {
   color: #b9b9b9;
   line-height: 28px;
   margin-bottom: 37px;
}
.footer__btn {
   margin-bottom: 37px;
}

.footer__contact {
   line-height: 26px;
   padding-bottom: 70px;
   @include mediaQuery(430px, 'max'){
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
   }
}
